## allegro4.4 4.4.2

=== setup/CMakeLists.txt ===
add_our_executable(setup setup.c)
copy_files(copy_setup_data setup.dat)

add_our_executable(keyconf keyconf.c)

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:
