=== debian/changelog ===
allegro4.4 (2:4.4.2-4) unstable; urgency=low

  [ Andreas Rönnquist ]
  * Add replaces / breaks on liballegro4.2-dev (Closes: #714814)
  * Fix lintian vcs-field-not-canonical warning
  * Fix unused-override hardening-no-fortify-functions

 -- Tobias Hansen <thansen@debian.org>  Sun, 14 Jul 2013 11:34:32 +0200

allegro4.4 (2:4.4.2-3) unstable; urgency=low

  * Create new packages liblogg4.4 and liblogg4-dev for the addon.
  * Rename liballegro4.2-dev to liballegro4-dev. (Closes: #710595)
  * Make liballegro4-dev and its reverse dependencies
    Priority: extra, because it conflicts with liballegro5-dev.
  * Add Vcs-* fields to debian/control.
  * Set --parallel flag for dh.
  * Change my email address to @debian.org.
  * Bump Standards-Version to 3.9.4.
  * Move allegrogl.pc from liballegro4-dev to liballegrogl4-dev.
  * Enable hardening build flags.

 -- Tobias Hansen <thansen@debian.org>  Sun, 09 Jun 2013 13:30:34 +0200

allegro4.4 (2:4.4.2-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's ACK.
  * Work around ICE on ia64 by using gcc-4.7 there instead of gcc-4.6
    on this architecture.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 17 Jun 2012 12:12:40 +0200

allegro4.4 (2:4.4.2-2) unstable; urgency=low

  * debian/patches/fix_ftbfs_with_sbuild.patch:
    - Added. Build system assumed that the build path doesn't contain "/build/".
      Closes: #675676

 -- Tobias Hansen <tobias.han@gmx.de>  Sat, 02 Jun 2012 17:59:04 +0200

allegro4.4 (2:4.4.2-1) unstable; urgency=low

  [ Andreas Rönnquist ]
  * New upstream release (Closes: #666524)
  * Set Debian Games Team as maintainer, me and Tobias as uploaders
  * Remove packages allegro-examples and allegro-demo.
  * Added dependencies - OpenGL, Ogg Vorbis, zlib and libpng
  * Added the libs included in allegro 4.4 - libloadpng, jpgalleg and alleggl
    New packages:
    - liballeggl4.4
    - liballeggl4-dev
    - libjpgalleg4-dev
    - libjpgalleg4.4
    - libloadpng4-dev
    - libloadpng4.4
  * Removed the Svgalib and ESD plugin libraries
  * Fixes to the cmake build system
  * Fixed lintian warnings on the allegro-config man-page
  * debian/patches/fix_format_not_string_literal_error.patch:
    - Added patch to fix build errors
  * debian/patches/fix_addons_shared_linkage.patch:
    - Added patch required to fix shared linkage of addons
  * debian/patches/fix_endianness_spelling.patch
    - Added patch to fix spelling in the textconv binary
  * debian/patches/020_non-executable-stack.diff
    - Renamed to fix_non_executable_stack.patch.
  * debian/patches/040_allegro_cfg.diff
    - Renamed to add_debian_config_hints.patch.
  * Fixed linker flags

  [ Tobias Hansen ]
  * Exclude plugin libraries from dh_makeshlibs.
  * Enable OSS support.
  * Move ALSA plugin to separate package liballegro4.4-plugin-alsa.
  * Disable jack support.
  * Disable Linux console mode and remove build-dependency libsvga1-dev.
  * Rename doc package to allegro4-doc and make liballegro-doc
    a transitional dummy package.
  * Update README.Debian.
  * Remove build-dependency libesd0-dev.
  * debian/control - liballegro4.2-dev:
    - Remove Provides liballegro3.9.37-dev, liballegro-dev-common.
    - Add Conflicts liballegro4-dev and liballegro5-dev.
    - Add Provides liballegro4-dev.
  * debian/patches/020_asm_fixes.diff
    - Renamed to asm_fixes.patch.
  * debian/patches/050_manpage_syntax.diff
    - Removed. We can't fix every manpage syntax error anyway.
  * debian/patches/020_debug.diff
    - Removed. We don't understand the purpose and if it's only about
      debugging it can't be essential.
  * debian/patches/010_autoreconf.diff
    debian/patches/005_no_strip_no_export_dynamic.diff
    - Removed. Obsolete after switch from autotools to cmake.
  * debian/patches/005_no_unsharable.diff
    - Removed. We don't need to remove a static library and the output
      of allegro-config --libs is fine.
  * debian/patches/070_alsa_signed.diff
    debian/patches/060_fix_fnstsw.diff
    - Removed. Were applied upstream.
  * debian/patches/020_data_path.diff
    - Removed. Not needed anymore, because the compiled examples are
      no longer packaged.
  * debian/patches/fix_ftbfs_nonlinux.patch
    - Added. Patch by Steven Chamberlain to fix FTBFS on nonlinux.

 -- Tobias Hansen <tobias.han@gmx.de>  Sun, 20 May 2012 01:53:16 +0200

allegro4.2 (2:4.2.2-3) unstable; urgency=low

  * QA upload:
  * Orphan package (Closes: #626049)
  * Build-depend on libjack-dev (Closes: #527403)
  * Convert to source format 3

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 06 Jun 2011 18:30:38 +0200

allegro4.2 (2:4.2.2-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Drop arts support (Closes: #622198)
  * Build-depend on libsvga1-dev instead of svgalibg1-dev
    (Closes: #483457)
  * Drop recommendation of obsolete package timidity-patches
    (Closes: #409484)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 02 Jun 2011 22:40:41 +0200

allegro4.2 (2:4.2.2-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "alsa plugin doesn't work with many sound cards": apply patch from
    Peter De Wachter (debian/patches/070_alsa_signed.diff) (closes: #462810).

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jun 2010 17:03:36 +0200

allegro4.2 (2:4.2.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  * debian/patches/06_fix_fnstsw.diff:
    + Fix FTBFS with binutils >= 1.9. Quoting the patch submitter:
      “FNSTSW is "Store FPU Status Word". This status word is a 16-bit
      value so the destination register should be %ax, not %eax.”
      Thanks to Peter De Wachter (Closes: #510500, #518732).

  * Set urgency to “medium”, testing is also affected.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Jul 2009 20:36:38 +0200

allegro4.2 (2:4.2.2-2) unstable; urgency=low

  * debian/control:
    + Add ${shlibs:Depends} to the liballegro4.2-dev dependencies.
    + Set policy to 3.7.3.

  * debian/rules:

