=== debian/watch ===
version=3
http://sf.net/alleg/allegro-(4\.\d?[02468]\.\d+)\.tar\.gz
